SSH-DIFF(1)

NAME
ssh-diff - diff a file over SSH

SYNOPSIS
ssh-diff [OPTIONS] FILE [user@]hostname[:FILE]

DESCRIPTION
diff a file over SSH

There is an extra roundtrip to the remote system
to check for the existence of the file to be diffed.
So if you are not using SSH Keys
you may get prompted twice for a password.

Use "CHECK_REMOTE_FILE_EXISTS=NO ssh-diff" to disable that behavior

DIFF_OPTIONS
All options your local diff command supports ( except '-r' ).
See 'man diff' and 'diff --help' for more information.

SSH_OPTIONS

-4  Use IPv4 only

-6  Use IPv6 only

-p port
    Port to connect to on the remote host.
    This can be specified on a per-host basis in the configuration file.

ENVIRONMENT
CHECK_REMOTE_FILE_EXISTS NO|YES remote file checking

EXAMPLES

# Default

ssh-diff /etc/hosts 192.168.1.10

ssh-diff /etc/hosts root@192.168.1.10

ssh-diff /etc/hosts root@192.168.1.10:/etc/hosts.old

# Side-by-Side

ssh-diff -y /etc/hosts 192.168.1.10

ssh-diff -y /etc/hosts root@192.168.1.10

ssh-diff -y /etc/hosts root@192.168.1.10:/etc/hosts.old

# Unified

ssh-diff -u /etc/hosts 192.168.1.10

ssh-diff -u /etc/hosts root@192.168.1.10

ssh-diff -u /etc/hosts root@192.168.1.10:/etc/hosts.old